BSetBV (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena.dvdrp

## Class BSetBV

- java.lang.Object
- - siena.dvdrp.BSetBV

- All Implemented Interfaces:
    java.lang.Comparable<BSetBV>

      public class BSetBV
      extends java.lang.Object
      implements java.lang.Comparable<BSetBV>

  a Bloom Filter implementation using a compact bitvector implemented as an array of long values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long[]` | `bv`
    `static int` | `M`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BSetBV()`
    `BSetBV(BSetBV other)`
    `BSetBV(Filter f)`
    `BSetBV(Notification n)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(BSetBV other)`
    `boolean` | `covers(BSetBV other)`
    `void` | `encodeConstraint(java.lang.String name, AttributeConstraint cons)`
    `void` | `encodeEquals(java.lang.String name, AttributeValue value)`
    `void` | `encodeExists(java.lang.String name, AttributeValue value)`
    `void` | `encodeFilter(Filter f)`
    `void` | `encodeNotification(Notification n)`
    `void` | `encodeNotificationAttribute(java.lang.String name, AttributeValue value)`
    `boolean` | `equals(java.lang.Object o)`
    `void` | `setBit(int bit_pos)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### M

          public static final int M

      See Also:
        Constant Field Values

    - #### bv

          public long[] bv

  - ### Constructor Detail

    - #### BSetBV

          public BSetBV(Notification n)

    - #### BSetBV

          public BSetBV(Filter f)

    - #### BSetBV

          public BSetBV()

    - #### BSetBV

          public BSetBV(BSetBV other)

  - ### Method Detail

    - #### covers

          public boolean covers(BSetBV other)

    - #### setBit

          public void setBit(int bit_pos)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### encodeFilter

          public void encodeFilter(Filter f)

    - #### encodeNotification

          public void encodeNotification(Notification n)

    - #### encodeNotificationAttribute

          public void encodeNotificationAttribute(java.lang.String name,
                                         AttributeValue value)

    - #### encodeConstraint

          public void encodeConstraint(java.lang.String name,
                              AttributeConstraint cons)

    - #### encodeEquals

          public void encodeEquals(java.lang.String name,
                          AttributeValue value)

    - #### encodeExists

          public void encodeExists(java.lang.String name,
                          AttributeValue value)

    - #### compareTo

          public int compareTo(BSetBV other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<BSetBV>`

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga